### Method

# Gimp FileProcedure set_meta

since: 3.2

#### Declaration [src]

    void
    gimp_file_procedure_set_meta (
      GimpFileProcedure* procedure,
      gboolean is_meta,
      const gchar* meta_extensions
    )

#### Description [src]

Some `GimpLoadProcedure` or `GimpExportProcedure` may actually be a meta procedure. Meta procedures are typically supporting container formats which will call another procedure for the actual format within the container.

Note that you should still call `gimp_file_procedure_set_extensions()`, usually with a list of standard full formats, such as “xcf.gz,xcfgz”, or again “hgt.zip”. Nevertheless the `meta_extensions` should be only “gz” or “zip” respectively. This would allow this meta format to work even on less common combinations. For instance, I could export an image as “png.gz” even though it is not explicitly listed.

Available since: 3.2

#### Parameters

`is_meta`

  Type: `gboolean`

  Whether `procedure` is a meta file procedure.

`meta_extensions`

  Type: `const gchar*`

  A comma separated list of generic extensions this procedure can handle (i.e. “gz”).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.